{% extends '@DemosPlanCore/DemosPlanCore/base_oeb.html.twig' %}

{% set organisation = templateVars.orga|default %}
{% set user = currentUser %}
{% set isFP = ("RMOPSM" in user.roles or "RMOPSA" in user.roles or "RMOPPO" in user.roles  or "RTSUPP" in user.roles )? true : false %}

{% block component_part %}
    {% embed '@DemosPlanCore/DemosPlanCore/includes/participation_area_skeleton.html.twig' with {
        'content_heading': "organisation.edit"|trans,
        'content_subheading': (projectType == 'gateway' ? "text.organisation.edit.self.gateway" : "text.organisation.edit.self.portal")|trans({ projectName:projectName })|wysiwyg,
    }%}

        {% block content %}

        <form class="{{ 'u-mt'|prefixClass }}" action="{{ path('DemosPlan_orga_edit_save', {'orgaId': organisation.ident|default}) }}" data-orga-id="{{ organisation.ident|default }}" method="post" data-dp-validate="orgadata">
            <input
                type="hidden"
                name="organisation_ident"
                value="{% if organisation is defined %}{{ organisation.ident|default }}{% endif %}"
            >
            <input
                type="hidden"
                name="address_ident"
                value="{% if organisation is defined %}{{ organisation.address_ident|default }}{% endif %}"
            >

            {% include '@DemosPlanCore/DemosPlanUser/orga_data_entry.html.twig' %}
        </form>

        {% endblock content %}

    {% endembed %}
{% endblock component_part %}

{% block javascripts %}
    {{ parent() }}
    {{ webpackBundles(['user-editOrga.js']) }}
{% endblock javascripts %}
